task teprof_s3 {
    String sample_id
    File bam_file
    File reference_merged_candidates_gtf
    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e
        samtools view -@ 16 -q 255 -h ${bam_file} > ${sample_id}.filtered.Aligned.sortedByCoord.out.bam
        stringtie ${sample_id}.filtered.Aligned.sortedByCoord.out.bam -o ${sample_id}.Aligned.sortedByCoord.out_root.gtf -e -b ${sample_id}.Aligned.sortedByCoord.out_root_stats -p 16 -m 100 -c 1 -G ${reference_merged_candidates_gtf} --rf
        tar -zcvf ${sample_id}.Aligned.sortedByCoord.out_root_stats.tgz ${sample_id}.Aligned.sortedByCoord.out_root_stats
        rm ${sample_id}.filtered.Aligned.sortedByCoord.out.bam

    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File stringtie_stats = "${sample_id}.Aligned.sortedByCoord.out_root_stats.tgz"
        File stringtie_gtf = "${sample_id}.Aligned.sortedByCoord.out_root.gtf"
    }

}

